## munin 1.999.4603

=== Makefile ===
# -*- makefile -*-
#
# Gnu make only.  Seriously.
#
# $Id: Makefile 4436 2011-10-11 11:50:50Z steve.schnepp $

# Defaults/paths. Allows $(CONFIG) to be overrided by
# make command line
DEFAULTS = Makefile.config
CONFIG = Makefile.config

include $(DEFAULTS)
include $(CONFIG)

RELEASE          := $(shell cat RELEASE)
INSTALL_PLUGINS ?= "auto manual contrib snmpauto"
INSTALL          := ./install-sh
DIR              := $(shell /bin/pwd | sed 's/^.*\///')
INFILES          := $(shell find . -name '*.in' | sed 's/\.\/\(.*\)\.in$$/build\/\1/')
INFILES_MASTER   := $(shell find master -name '*.in' | sed 's/\(.*\)\.in$$/build\/\1/')
CLASSFILES       := $(shell find plugins/javalib/ -name '*.java' | sed 's/\(.*\)\.java$$/build\/\1.class/')
PLUGINS		 := $(wildcard plugins/node.d.$(OSTYPE)/* plugins/node.d/*)
MANCENTER        := "Munin Documentation"
MAN8		 := master/_bin/munin-update master/_bin/munin-limits master/_bin/munin-html master/_bin/munin-graph
PODMAN8          := build/master/doc/munin-cron master/doc/munin master/doc/munin-check
PODMAN5          := build/master/doc/munin.conf node/doc/munin-node.conf


.PHONY: install install-pre install-master-prime install-node-prime install-node-pre install-common-prime install-doc install-man \
        build build-common-prime build-common-pre build-doc \
        source_dist \
        test clean \
        clean-% test-% build-% install-% \
	tags \
	infiles

.SECONDARY: node/Build master/Build plugins/Build

.SUFFIXES: .java .class

.java.class:
	cd plugins/javalib && $(JC) $(JFLAGS) $(subst plugins/javalib/,,$*.java)

default: build

uninstall: 
	echo "Uninstall is not implemented yet"

# This removes the installed config so that the next install-pass installs
# a new config.  Target _only_ suitable for maintainers.
unconfig:
	rm -f $(HTMLDIR)/.htaccess
	rm -f $(CONFDIR)/munin.conf

tags:
	-rm -f TAGS
	find master common -type f | egrep -v '/(build/|_build/|blib/|\.svn/)' | grep -v '\.t$$' | fgrep -v '~' | xargs etags -l perl -a

######################################################################

ifeq ($(JCVALID),yes)
install: install-master-prime install-common-prime install-node-prime install-plugins-prime install-plugins-java install-man install-async-prime
else
install: install-master-prime install-common-prime install-node-prime install-plugins-prime install-man install-async-prime
endif

install-pre: Makefile Makefile.config
	@$(CHECKUSER)
	mkdir -p $(LOGDIR)
	mkdir -p $(STATEDIR)
	mkdir -p $(SPOOLDIR)
	mkdir -p $(CONFDIR)
	$(CHOWN) $(USER) $(LOGDIR) $(STATEDIR) $(SPOOLDIR)

install-master-prime: $(INFILES_MASTER) install-pre install-master
	mkdir -p $(CONFDIR)/templates
	mkdir -p $(CONFDIR)/static
	mkdir -p $(CONFDIR)/templates/partial
	mkdir -p $(CONFDIR)/munin-conf.d
	mkdir -p $(LIBDIR)
	mkdir -p $(BINDIR)
	mkdir -p $(PERLLIB)
	mkdir -p $(PERLLIB)/Munin/Master
	mkdir -p $(HTMLDIR)
	mkdir -p $(DBDIR)
	mkdir -p $(CGIDIR)

	$(CHOWN) $(USER) $(HTMLDIR) $(DBDIR) 
	$(CHMOD) 0755 $(DBDIR)

	for p in master/www/*.tmpl ;  do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/ ; \
	done

	for p in master/static/* ; do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/static/ ; \
	done

	for p in master/www/partial/*.tmpl; do \
		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/partial/ ; \
	done

	$(INSTALL) -m 0755 master/DejaVuSansMono.ttf $(LIBDIR)/
	$(INSTALL) -m 0755 master/DejaVuSans.ttf $(LIBDIR)/

	test -f $(HTMLDIR)/.htaccess || $(INSTALL) -m 0644 build/master/www/munin-htaccess $(HTMLDIR)/.htaccess
	test -f "$(CONFDIR)/munin.conf"  || $(INSTALL) -m 0644 build/master/munin.conf $(CONFDIR)/

	$(INSTALL) -m 0755 build/master/_bin/munin-cron $(BINDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-check $(BINDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-update $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-html $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-graph $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-limits $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-datafile2storable $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-storable2datafile $(LIBDIR)/
	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-graph $(CGIDIR)/munin-cgi-graph
	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-html $(CGIDIR)/munin-cgi-html

# Not ready to be installed yet	
# $(INSTALL) -m 0755 build/master/_bin/munin-gather $(LIBDIR)/

# ALWAYS DO THE OS SPECIFIC PLUGINS LAST! THAT WAY THEY OVERWRITE THE
# GENERIC ONES

install-node-plugins: install-plugins-prime

# Some HP-UX plugins needs *.adv support files in LIBDIR
install-plugins-prime: install-plugins build $(PLUGINS) Makefile Makefile.config
	@$(CHECKGROUP)

	mkdir -p $(CONFDIR)/plugins
	mkdir -p $(CONFDIR)/plugin-conf.d
	mkdir -p $(LIBDIR)/plugins
	mkdir -p $(PLUGSTATE)

	$(CHOWN) $(PLUGINUSER):$(GROUP) $(PLUGSTATE)
	$(CHMOD) 0775 $(PLUGSTATE)
	$(CHMOD) 0755 $(CONFDIR)/plugin-conf.d

	for p in build/plugins/node.d/* build/plugins/node.d.$(OSTYPE)/* ; do \
	    if test -f "$$p" ; then                            \
		echo Installing $$p;                           \
		$(INSTALL) -m 0755 $$p $(LIBDIR)/plugins/;     \
	    fi                                                 \
	done
	-mv $(LIBDIR)/plugins/*.adv $(LIBDIR)
	$(INSTALL) -m 0644 build/plugins/plugins.history $(LIBDIR)/plugins/
	$(INSTALL) -m 0644 build/plugins/plugin.sh $(LIBDIR)/plugins/

install-plugins-java: build-plugins-java
	mkdir -p $(JAVALIBDIR)
	$(INSTALL) -m 0644 build/plugins/javalib/munin-jmx-plugins.jar $(JAVALIBDIR)/

#TODO:
# configure plugins.  Or not. Better done under the direction of the installer
# or the packager.

install-async-prime:
	mkdir -p $(LIBDIR)
	$(INSTALL) -m 0755 build/node/_bin/munin-async-client $(LIBDIR)/
	$(INSTALL) -m 0755 build/node/_bin/munin-async-server $(LIBDIR)/

install-node-prime: install-node-pre install-node

install-node-pre: build/node/munin-node.conf install-pre
	test -f "$(CONFDIR)/munin-node.conf" || $(INSTALL) -m 0644 build/node/munin-node.conf $(CONFDIR)/


install-common-prime: build-common install-common


install-man: build-man Makefile Makefile.config
	mkdir -p $(MANDIR)/man1 $(MANDIR)/man5 $(MANDIR)/man8
	$(INSTALL) -m 0644 build/doc/munin-node.conf.5 $(MANDIR)/man5/
	$(INSTALL) -m 0644 build/doc/munin.conf.5 $(MANDIR)/man5/
	$(INSTALL) -m 0644 build/doc/munin-update.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-limits.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-graph.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-html.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-cron.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin-check.8 $(MANDIR)/man8/
	$(INSTALL) -m 0644 build/doc/munin.8 $(MANDIR)/man8/


install-doc: build-doc
	mkdir -p $(DOCDIR)/resources
	$(INSTALL) -m 0644 README $(DOCDIR)/
	$(INSTALL) -m 0644 COPYING $(DOCDIR)/
	$(INSTALL) -m 0644 build/resources/* $(DOCDIR)/resources

######################################################################

# Dummy rule to enable parallel building
infiles: $(INFILES)

ifeq ($(JCVALID),yes)
build: infiles build-master build-common-prime build-node build-plugins build-plugins-java build-man
else
build: infiles build-master build-common-prime build-node build-plugins build-man
endif

build/%: %.in
	@echo "$< -> $@"
	@mkdir -p build/`dirname $<`
	@sed -e 's|@@PREFIX@@|$(PREFIX)|g'                      \
             -e 's|@@CONFDIR@@|$(CONFDIR)|g'                    \
             -e 's|@@BINDIR@@|$(BINDIR)|g'                      \
             -e 's|@@SBINDIR@@|$(SBINDIR)|g'                    \
             -e 's|@@DOCDIR@@|$(DOCDIR)|g'                      \
             -e 's|@@LIBDIR@@|$(LIBDIR)|g'                      \
             -e 's|@@MANDIR@@|$(MANDIR)|g'                      \
             -e 's|@@LOGDIR@@|$(LOGDIR)|g'                      \
             -e 's|@@HTMLDIR@@|$(HTMLDIR)|g'                    \
             -e 's|@@DBDIR@@|$(DBDIR)|g'                        \
             -e 's|@@STATEDIR@@|$(STATEDIR)|g'                  \
	     -e 's|@@SPOOLDIR@@|$(SPOOLDIR)|g'                  \
             -e 's|@@PERL@@|$(PERL)|g'                          \
             -e 's|@@PERLLIB@@|$(PERLLIB)|g'                    \
             -e 's|@@PYTHON@@|$(PYTHON)|g'                      \
             -e 's|@@RUBY@@|$(RUBY)|g'                          \
             -e 's|@@JAVARUN@@|$(JAVARUN)|g'                    \
             -e 's|@@JAVALIBDIR@@|$(JAVALIBDIR)|g'              \
             -e 's|@@OSTYPE@@|$(OSTYPE)|g'                      \
             -e 's|@@HOSTNAME@@|$(HOSTNAME)|g'                  \
             -e 's|@@MKTEMP@@|$(MKTEMP)|g'                      \
             -e 's|@@VERSION@@|$(VERSION)|g'                    \
             -e 's|@@PLUGSTATE@@|$(PLUGSTATE)|g'                \
             -e 's|@@CGIDIR@@|$(CGIDIR)|g'                      \
             -e 's|@@USER@@|$(USER)|g'                          \
             -e 's|@@GROUP@@|$(GROUP)|g'                        \
             -e 's|@@PLUGINUSER@@|$(PLUGINUSER)|g'              \
             -e 's|@@GOODSH@@|$(GOODSH)|g'                      \
             -e 's|@@BASH@@|$(BASH)|g'                          \
             -e 's|@@HASSETR@@|$(HASSETR)|g'                    \
             -e 's|@@SSPOOLDIR@@|$(SSPOOLDIR)|g'                \
             $< > $@;


build-common-prime: build-common-pre common/blib/lib/Munin/Common/Defaults.pm build-common

build-common-pre: common/Build
	cd common && $(PERL) Build code

common/blib/lib/Munin/Common/Defaults.pm: common/lib/Munin/Common/Defaults.pm build-common-pre
	rm -f common/blib/lib/Munin/Common/Defaults.pm
	$(PERL) -pe 's{(PREFIX     \s+=\s).*}{\1q{$(PREFIX)};}x;   \
                  s{(CONFDIR    \s+=\s).*}{\1q{$(CONFDIR)};}x;     \
                  s{(BINDIR     \s+=\s).*}{\1q{$(BINDIR)};}x;      \
                  s{(SBINDIR    \s+=\s).*}{\1q{$(SBINDIR)};}x;     \
                  s{(DOCDIR     \s+=\s).*}{\1q{$(DOCDIR)};}x;      \
                  s{(LIBDIR	\s+=\s).*}{\1q{$(LIBDIR)};}x;      \
                  s{(MANDIR	\s+=\s).*}{\1q{$(MANDIR)};}x;      \
                  s{(LOGDIR	\s+=\s).*}{\1q{$(LOGDIR)};}x;      \
                  s{(HTMLDIR	\s+=\s).*}{\1q{$(HTMLDIR)};}x;     \
                  s{(DBDIR	\s+=\s).*}{\1q{$(DBDIR)};}x;       \
                  s{(STATEDIR	\s+=\s).*}{\1q{$(STATEDIR)};}x;    \
		  s{(SPOOLDIR	\s+=\s).*}{\1q{$(SPOOLDIR)};}x;    \
                  s{(PERL	\s+=\s).*}{\1q{$(PERL)};}x;        \
                  s{(PERLLIB	\s+=\s).*}{\1q{$(PERLLIB)};}x;     \
                  s{(PYTHON	\s+=\s).*}{\1q{$(PYTHON)};}x;      \
                  s{(RUBY       \s+=\s).*}{\1q{$(RUBY)};}x;        \
                  s{(OSTYPE	\s+=\s).*}{\1q{$(OSTYPE)};}x;      \
                  s{(HOSTNAME	\s+=\s).*}{\1q{$(HOSTNAME)};}x;    \
                  s{(MKTEMP	\s+=\s).*}{\1q{$(MKTEMP)};}x;      \
                  s{(VERSION	\s+=\s).*}{\1q{$(VERSION)};}x;     \
                  s{(PLUGSTATE	\s+=\s).*}{\1q{$(PLUGSTATE)};}x;   \
                  s{(CGIDIR	\s+=\s).*}{\1q{$(CGIDIR)};}x;      \
                  s{(USER	\s+=\s).*}{\1q{$(USER)};}x;        \
                  s{(GROUP	\s+=\s).*}{\1q{$(GROUP)};}x;       \
                  s{(PLUGINUSER	\s+=\s).*}{\1q{$(PLUGINUSER)};}x;  \
                  s{(GOODSH	\s+=\s).*}{\1q{$(GOODSH)};}x;      \
                  s{(BASH	\s+=\s).*}{\1q{$(BASH)};}x;        \
                  s{(HASSETR	\s+=\s).*}{\1q{$(HASSETR)};}x;     \
	          s{(SSPOOLDIR	\s+=\s).*}{\1q{$(SSPOOLDIR)};}x;'  \
                  $< > $@

build-doc: build-doc-stamp Makefile Makefile.config

build-doc-stamp:
	touch build-doc-stamp
	mkdir -p build/doc

build-man: build-man-stamp Makefile Makefile.config

build-man-stamp:
	touch build-man-stamp
	mkdir -p build/doc
	for f in $(MAN8); do \
	   pod2man --section=8 --release=$(RELEASE) --center=$(MANCENTER) build/"$$f" > build/doc/`basename $$f`.8; \
	done
	for f in $(PODMAN8); do \

## munin 2.0~rc2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Gnu make only.  Seriously.
 #
-# $Id: Makefile 4436 2011-10-11 11:50:50Z steve.schnepp $
+# $Id: Makefile 4694 2012-03-06 09:14:10Z kenyon $
 
 # Defaults/paths. Allows $(CONFIG) to be overrided by
 # make command line
@@ -18,7 +18,7 @@
 DIR              := $(shell /bin/pwd | sed 's/^.*\///')
 INFILES          := $(shell find . -name '*.in' | sed 's/\.\/\(.*\)\.in$$/build\/\1/')
 INFILES_MASTER   := $(shell find master -name '*.in' | sed 's/\(.*\)\.in$$/build\/\1/')
-CLASSFILES       := $(shell find plugins/javalib/ -name '*.java' | sed 's/\(.*\)\.java$$/build\/\1.class/')
+CLASSFILES       := $(shell find plugins/javalib -name '*.java' | sed 's/\(.*\)\.java$$/build\/\1.class/')
 PLUGINS		 := $(wildcard plugins/node.d.$(OSTYPE)/* plugins/node.d/*)
 MANCENTER        := "Munin Documentation"
 MAN8		 := master/_bin/munin-update master/_bin/munin-limits master/_bin/munin-html master/_bin/munin-graph
@@ -43,7 +43,7 @@
 
 default: build
 
-uninstall: 
+uninstall:
 	echo "Uninstall is not implemented yet"
 
 # This removes the installed config so that the next install-pass installs
@@ -85,7 +85,7 @@
 	mkdir -p $(DBDIR)
 	mkdir -p $(CGIDIR)
 
-	$(CHOWN) $(USER) $(HTMLDIR) $(DBDIR) 
+	$(CHOWN) $(USER) $(HTMLDIR) $(DBDIR)
 	$(CHMOD) 0755 $(DBDIR)
 
 	for p in master/www/*.tmpl ;  do \
@@ -117,7 +117,7 @@
 	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-graph $(CGIDIR)/munin-cgi-graph
 	$(INSTALL) -m 0755 build/master/_bin/munin-cgi-html $(CGIDIR)/munin-cgi-html
 
-# Not ready to be installed yet	
+# Not ready to be installed yet
 # $(INSTALL) -m 0755 build/master/_bin/munin-gather $(LIBDIR)/
 
 # ALWAYS DO THE OS SPECIFIC PLUGINS LAST! THAT WAY THEY OVERWRITE THE
@@ -233,7 +233,6 @@
              -e 's|@@GOODSH@@|$(GOODSH)|g'                      \
              -e 's|@@BASH@@|$(BASH)|g'                          \
              -e 's|@@HASSETR@@|$(HASSETR)|g'                    \
-             -e 's|@@SSPOOLDIR@@|$(SSPOOLDIR)|g'                \
              $< > $@;
 
 
@@ -271,8 +270,7 @@
                   s{(PLUGINUSER	\s+=\s).*}{\1q{$(PLUGINUSER)};}x;  \
                   s{(GOODSH	\s+=\s).*}{\1q{$(GOODSH)};}x;      \
                   s{(BASH	\s+=\s).*}{\1q{$(BASH)};}x;        \
-                  s{(HASSETR	\s+=\s).*}{\1q{$(HASSETR)};}x;     \
-	          s{(SSPOOLDIR	\s+=\s).*}{\1q{$(SSPOOLDIR)};}x;'  \
+                  s{(HASSETR	\s+=\s).*}{\1q{$(HASSETR)};}x;'    \
                   $< > $@
 
 build-doc: build-doc-stamp Makefile Makefile.config
@@ -290,3 +288,6 @@
 	   pod2man --section=8 --release=$(RELEASE) --center=$(MANCENTER) build/"$$f" > build/doc/`basename $$f`.8; \
 	done
 	for f in $(PODMAN8); do \
+	   pod2man --section=8 --release=$(RELEASE) --center=$(MANCENTER) "$$f".pod > build/doc/`basename $$f .pod`.8; \
+	done
+	for f in $(PODMAN5); do \

## munin 2.0.2

=== Makefile ===
--- 
+++ 
@@ -2,7 +2,7 @@
 #
 # Gnu make only.  Seriously.
 #
-# $Id: Makefile 4694 2012-03-06 09:14:10Z kenyon $
+# $Id$
 
 # Defaults/paths. Allows $(CONFIG) to be overrided by
 # make command line
@@ -12,7 +12,7 @@
 include $(DEFAULTS)
 include $(CONFIG)
 
-RELEASE          := $(shell cat RELEASE)
+RELEASE          := $(shell $(CURDIR)/getversion)
 INSTALL_PLUGINS ?= "auto manual contrib snmpauto"
 INSTALL          := ./install-sh
 DIR              := $(shell /bin/pwd | sed 's/^.*\///')
@@ -83,10 +83,14 @@
 	mkdir -p $(PERLLIB)/Munin/Master
 	mkdir -p $(HTMLDIR)
 	mkdir -p $(DBDIR)
+	mkdir -p $(DBDIR)/cgi-tmp
 	mkdir -p $(CGIDIR)
 
 	$(CHOWN) $(USER) $(HTMLDIR) $(DBDIR)
 	$(CHMOD) 0755 $(DBDIR)
+
+	$(CHOWN) $(CGIUSER) $(DBDIR)/cgi-tmp
+	$(CHMOD) 0755 $(DBDIR)/cgi-tmp
 
 	for p in master/www/*.tmpl ;  do \
 		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/ ; \
@@ -135,7 +139,8 @@
 	mkdir -p $(PLUGSTATE)
 
 	$(CHOWN) $(PLUGINUSER):$(GROUP) $(PLUGSTATE)
-	$(CHMOD) 0775 $(PLUGSTATE)
+	# using g+rwxs, so plugins can create and modify their state file without help
+	$(CHMOD) 02775 $(PLUGSTATE)
 	$(CHMOD) 0755 $(CONFDIR)/plugin-conf.d
 
 	for p in build/plugins/node.d/* build/plugins/node.d.$(OSTYPE)/* ; do \
@@ -158,8 +163,8 @@
 
 install-async-prime:
 	mkdir -p $(LIBDIR)
-	$(INSTALL) -m 0755 build/node/_bin/munin-async-client $(LIBDIR)/
-	$(INSTALL) -m 0755 build/node/_bin/munin-async-server $(LIBDIR)/
+	$(INSTALL) -m 0755 build/node/_bin/munin-async $(LIBDIR)/
+	$(INSTALL) -m 0755 build/node/_bin/munin-asyncd $(LIBDIR)/
 
 install-node-prime: install-node-pre install-node
 
@@ -288,6 +293,3 @@
 	   pod2man --section=8 --release=$(RELEASE) --center=$(MANCENTER) build/"$$f" > build/doc/`basename $$f`.8; \
 	done
 	for f in $(PODMAN8); do \
-	   pod2man --section=8 --release=$(RELEASE) --center=$(MANCENTER) "$$f".pod > build/doc/`basename $$f .pod`.8; \
-	done
-	for f in $(PODMAN5); do \

## munin 2.0.6

=== Makefile ===
--- 
+++ 
@@ -11,6 +11,12 @@
 
 include $(DEFAULTS)
 include $(CONFIG)
+
+ifeq ($(JCVALID),yes)
+JAVA_BUILD=build-plugins-java
+JAVA_INSTALL=install-plugins-java
+JAVA_PLUGINS=plugins/node.d.java/*
+endif
 
 RELEASE          := $(shell $(CURDIR)/getversion)
 INSTALL_PLUGINS ?= "auto manual contrib snmpauto"
@@ -19,12 +25,11 @@
 INFILES          := $(shell find . -name '*.in' | sed 's/\.\/\(.*\)\.in$$/build\/\1/')
 INFILES_MASTER   := $(shell find master -name '*.in' | sed 's/\(.*\)\.in$$/build\/\1/')
 CLASSFILES       := $(shell find plugins/javalib -name '*.java' | sed 's/\(.*\)\.java$$/build\/\1.class/')
-PLUGINS		 := $(wildcard plugins/node.d.$(OSTYPE)/* plugins/node.d/*)
+PLUGINS		 := $(wildcard plugins/node.d.$(OSTYPE)/* plugins/node.d/* $(JAVA_PLUGINS))
 MANCENTER        := "Munin Documentation"
 MAN8		 := master/_bin/munin-update master/_bin/munin-limits master/_bin/munin-html master/_bin/munin-graph
 PODMAN8          := build/master/doc/munin-cron master/doc/munin master/doc/munin-check
 PODMAN5          := build/master/doc/munin.conf node/doc/munin-node.conf
-
 
 .PHONY: install install-pre install-master-prime install-node-prime install-node-pre install-common-prime install-doc install-man \
         build build-common-prime build-common-pre build-doc \
@@ -38,10 +43,11 @@
 
 .SUFFIXES: .java .class
 
+# This HAS to be the 1st rule
+default: build
+
 .java.class:
-	cd plugins/javalib && $(JC) $(JFLAGS) $(subst plugins/javalib/,,$*.java)
-
-default: build
+	$(JC) -sourcepath plugins/javalib -d build/plugins/javalib $(JFLAGS) plugins/javalib/$(subst plugins/javalib/,,$*.java)
 
 uninstall:
 	echo "Uninstall is not implemented yet"
@@ -58,11 +64,7 @@
 
 ######################################################################
 
-ifeq ($(JCVALID),yes)
-install: install-master-prime install-common-prime install-node-prime install-plugins-prime install-plugins-java install-man install-async-prime
-else
-install: install-master-prime install-common-prime install-node-prime install-plugins-prime install-man install-async-prime
-endif
+install: install-master-prime install-common-prime install-node-prime install-plugins-prime $(JAVA_INSTALL) install-man install-async-prime
 
 install-pre: Makefile Makefile.config
 	@$(CHECKUSER)
@@ -104,8 +106,8 @@
 		$(INSTALL) -m 0644 "$$p" $(CONFDIR)/templates/partial/ ; \
 	done
 
-	$(INSTALL) -m 0755 master/DejaVuSansMono.ttf $(LIBDIR)/
-	$(INSTALL) -m 0755 master/DejaVuSans.ttf $(LIBDIR)/
+	$(INSTALL) -m 0644 master/DejaVuSansMono.ttf $(LIBDIR)/
+	$(INSTALL) -m 0644 master/DejaVuSans.ttf $(LIBDIR)/
 
 	test -f $(HTMLDIR)/.htaccess || $(INSTALL) -m 0644 build/master/www/munin-htaccess $(HTMLDIR)/.htaccess
 	test -f "$(CONFDIR)/munin.conf"  || $(INSTALL) -m 0644 build/master/munin.conf $(CONFDIR)/
@@ -130,6 +132,10 @@
 install-node-plugins: install-plugins-prime
 
 # Some HP-UX plugins needs *.adv support files in LIBDIR
+ifneq ($(OSTYPE),hp-ux)
+HPUXONLY=true ||
+endif
+
 install-plugins-prime: install-plugins build $(PLUGINS) Makefile Makefile.config
 	@$(CHECKGROUP)
 
@@ -138,9 +144,8 @@
 	mkdir -p $(LIBDIR)/plugins
 	mkdir -p $(PLUGSTATE)
 
-	$(CHOWN) $(PLUGINUSER):$(GROUP) $(PLUGSTATE)
-	# using g+rwxs, so plugins can create and modify their state file without help
-	$(CHMOD) 02775 $(PLUGSTATE)
+	$(CHOWN) root:root $(PLUGSTATE)
+	$(CHMOD) 0755 $(PLUGSTATE)
 	$(CHMOD) 0755 $(CONFDIR)/plugin-conf.d
 
 	for p in build/plugins/node.d/* build/plugins/node.d.$(OSTYPE)/* ; do \
@@ -149,13 +154,20 @@
 		$(INSTALL) -m 0755 $$p $(LIBDIR)/plugins/;     \
 	    fi                                                 \
 	done
-	-mv $(LIBDIR)/plugins/*.adv $(LIBDIR)
+	$(HPUXONLY) mv $(LIBDIR)/plugins/*.adv $(LIBDIR)
 	$(INSTALL) -m 0644 build/plugins/plugins.history $(LIBDIR)/plugins/
 	$(INSTALL) -m 0644 build/plugins/plugin.sh $(LIBDIR)/plugins/
 
 install-plugins-java: build-plugins-java
 	mkdir -p $(JAVALIBDIR)
 	$(INSTALL) -m 0644 build/plugins/javalib/munin-jmx-plugins.jar $(JAVALIBDIR)/
+	mkdir -p $(LIBDIR)/plugins
+	for p in build/plugins/node.d.java/*; do               \
+	    if test -f "$$p" ; then                            \
+		echo Installing $$p;                           \
+		$(INSTALL) -m 0755 $$p $(LIBDIR)/plugins/;     \
+	    fi                                                 \
+	done
 
 #TODO:
 # configure plugins.  Or not. Better done under the direction of the installer
@@ -199,11 +211,7 @@
 # Dummy rule to enable parallel building
 infiles: $(INFILES)
 
-ifeq ($(JCVALID),yes)
-build: infiles build-master build-common-prime build-node build-plugins build-plugins-java build-man
-else
-build: infiles build-master build-common-prime build-node build-plugins build-man
-endif
+build: infiles build-master build-common-prime build-node build-plugins $(JAVA_BUILD) build-man
 
 build/%: %.in
 	@echo "$< -> $@"
@@ -289,7 +297,3 @@
 build-man-stamp:
 	touch build-man-stamp
 	mkdir -p build/doc
-	for f in $(MAN8); do \
-	   pod2man --section=8 --release=$(RELEASE) --center=$(MANCENTER) build/"$$f" > build/doc/`basename $$f`.8; \
-	done
-	for f in $(PODMAN8); do \

## munin 2.0.17

=== Makefile ===
--- 
+++ 
@@ -173,7 +173,9 @@
 # configure plugins.  Or not. Better done under the direction of the installer
 # or the packager.
 
-install-async-prime:
+install-async-prime: install-async
+
+install-async:
 	mkdir -p $(LIBDIR)
 	$(INSTALL) -m 0755 build/node/_bin/munin-async $(LIBDIR)/
 	$(INSTALL) -m 0755 build/node/_bin/munin-asyncd $(LIBDIR)/
@@ -296,4 +298,3 @@
 
 build-man-stamp:
 	touch build-man-stamp
-	mkdir -p build/doc

## munin 2.0.19

=== Makefile ===
--- 
+++ 
@@ -213,7 +213,7 @@
 # Dummy rule to enable parallel building
 infiles: $(INFILES)
 
-build: infiles build-master build-common-prime build-node build-plugins $(JAVA_BUILD) build-man
+build: infiles build-master build-common-prime build-node build-plugins $(JAVA_BUILD) build-man substitue-confvar-inline
 
 build/%: %.in
 	@echo "$< -> $@"
@@ -253,48 +253,37 @@
 
 build-common-prime: build-common-pre common/blib/lib/Munin/Common/Defaults.pm build-common
 
-build-common-pre: common/Build
-	cd common && $(PERL) Build code
-
-common/blib/lib/Munin/Common/Defaults.pm: common/lib/Munin/Common/Defaults.pm build-common-pre
-	rm -f common/blib/lib/Munin/Common/Defaults.pm
-	$(PERL) -pe 's{(PREFIX     \s+=\s).*}{\1q{$(PREFIX)};}x;   \
-                  s{(CONFDIR    \s+=\s).*}{\1q{$(CONFDIR)};}x;     \
-                  s{(BINDIR     \s+=\s).*}{\1q{$(BINDIR)};}x;      \
-                  s{(SBINDIR    \s+=\s).*}{\1q{$(SBINDIR)};}x;     \
-                  s{(DOCDIR     \s+=\s).*}{\1q{$(DOCDIR)};}x;      \
-                  s{(LIBDIR	\s+=\s).*}{\1q{$(LIBDIR)};}x;      \
-                  s{(MANDIR	\s+=\s).*}{\1q{$(MANDIR)};}x;      \
-                  s{(LOGDIR	\s+=\s).*}{\1q{$(LOGDIR)};}x;      \
-                  s{(HTMLDIR	\s+=\s).*}{\1q{$(HTMLDIR)};}x;     \
-                  s{(DBDIR	\s+=\s).*}{\1q{$(DBDIR)};}x;       \
-                  s{(STATEDIR	\s+=\s).*}{\1q{$(STATEDIR)};}x;    \
-		  s{(SPOOLDIR	\s+=\s).*}{\1q{$(SPOOLDIR)};}x;    \
-                  s{(PERL	\s+=\s).*}{\1q{$(PERL)};}x;        \
-                  s{(PERLLIB	\s+=\s).*}{\1q{$(PERLLIB)};}x;     \
-                  s{(PYTHON	\s+=\s).*}{\1q{$(PYTHON)};}x;      \
-                  s{(RUBY       \s+=\s).*}{\1q{$(RUBY)};}x;        \
-                  s{(OSTYPE	\s+=\s).*}{\1q{$(OSTYPE)};}x;      \
-                  s{(HOSTNAME	\s+=\s).*}{\1q{$(HOSTNAME)};}x;    \
-                  s{(MKTEMP	\s+=\s).*}{\1q{$(MKTEMP)};}x;      \
-                  s{(VERSION	\s+=\s).*}{\1q{$(VERSION)};}x;     \
-                  s{(PLUGSTATE	\s+=\s).*}{\1q{$(PLUGSTATE)};}x;   \
-                  s{(CGIDIR	\s+=\s).*}{\1q{$(CGIDIR)};}x;      \
-                  s{(USER	\s+=\s).*}{\1q{$(USER)};}x;        \
-                  s{(GROUP	\s+=\s).*}{\1q{$(GROUP)};}x;       \
-                  s{(PLUGINUSER	\s+=\s).*}{\1q{$(PLUGINUSER)};}x;  \
-                  s{(GOODSH	\s+=\s).*}{\1q{$(GOODSH)};}x;      \
-                  s{(BASH	\s+=\s).*}{\1q{$(BASH)};}x;        \
-                  s{(HASSETR	\s+=\s).*}{\1q{$(HASSETR)};}x;'    \
-                  $< > $@
-
-build-doc: build-doc-stamp Makefile Makefile.config
-
-build-doc-stamp:
-	touch build-doc-stamp
-	mkdir -p build/doc
-
-build-man: build-man-stamp Makefile Makefile.config
-
-build-man-stamp:
-	touch build-man-stamp
+substitue-confvar-inline:
+	@sed -e 's|@@PREFIX@@|$(PREFIX)|g'                      \
+             -e 's|@@CONFDIR@@|$(CONFDIR)|g'                    \
+             -e 's|@@BINDIR@@|$(BINDIR)|g'                      \
+             -e 's|@@SBINDIR@@|$(SBINDIR)|g'                    \
+             -e 's|@@DOCDIR@@|$(DOCDIR)|g'                      \
+             -e 's|@@LIBDIR@@|$(LIBDIR)|g'                      \
+             -e 's|@@MANDIR@@|$(MANDIR)|g'                      \
+             -e 's|@@LOGDIR@@|$(LOGDIR)|g'                      \
+             -e 's|@@HTMLDIR@@|$(HTMLDIR)|g'                    \
+             -e 's|@@DBDIR@@|$(DBDIR)|g'                        \
+             -e 's|@@STATEDIR@@|$(STATEDIR)|g'                  \
+             -e 's|@@SPOOLDIR@@|$(SPOOLDIR)|g'                  \
+             -e 's|@@PERL@@|$(PERL)|g'                          \
+             -e 's|@@PERLLIB@@|$(PERLLIB)|g'                    \
+             -e 's|@@PYTHON@@|$(PYTHON)|g'                      \
+             -e 's|@@RUBY@@|$(RUBY)|g'                          \
+             -e 's|@@JAVARUN@@|$(JAVARUN)|g'                    \
+             -e 's|@@JAVALIBDIR@@|$(JAVALIBDIR)|g'              \
+             -e 's|@@OSTYPE@@|$(OSTYPE)|g'                      \
+             -e 's|@@HOSTNAME@@|$(HOSTNAME)|g'                  \
+             -e 's|@@MKTEMP@@|$(MKTEMP)|g'                      \
+             -e 's|@@VERSION@@|$(VERSION)|g'                    \
+             -e 's|@@PLUGSTATE@@|$(PLUGSTATE)|g'                \
+             -e 's|@@CGIDIR@@|$(CGIDIR)|g'                      \
+             -e 's|@@USER@@|$(USER)|g'                          \
+             -e 's|@@GROUP@@|$(GROUP)|g'                        \
+             -e 's|@@PLUGINUSER@@|$(PLUGINUSER)|g'              \
+             -e 's|@@GOODSH@@|$(GOODSH)|g'                      \
+             -e 's|@@BASH@@|$(BASH)|g'                          \
+             -e 's|@@HASSETR@@|$(HASSETR)|g'                    \
+             --in-place                                         \
+             ./master/blib/libdoc/Munin::Master::HTMLOld.3pm    \
+             ./master/blib/lib/Munin/Master/HTMLOld.pm          \

## munin 2.0.21

=== debian/changelog ===
munin (2.0.21-2build1) utopic; urgency=high

  * No change rebuild against new dh_installinit, to call update-rc.d at
    postinst.

 -- Dimitri John Ledkov <xnox@ubuntu.com>  Wed, 28 May 2014 10:40:11 +0100

munin (2.0.21-2) unstable; urgency=medium

  * Move dependency «adduser» to «munin-common»
  * debian/tests: Use «setuidgid» to run tests as another user
  * debian/tests: wait 10 seconds for a listening port
  * Update breaks/replaces for munin-plugins-core (Closes: #747696)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sun, 11 May 2014 14:51:17 +0200

munin (2.0.21-1) unstable; urgency=low

  [ Matthias Schmitz ]
  * Add configuration files for apache 2.4. (Closes: #722654, #672767)
  * Replace dependency to ttf-dejavu by fonts-dejavu due to package renaming
    (Closes: #737957).

  [ Holger Levsen ]
  * Recommend libcgi-fast-perl for munin as munin-cgi-graph needs this for
    zoomable graphs. (Closes: #737135)
  * Add "Testsuite: autopkgtest" to source entry in debian/control, so
    ci.debian.net will automatically pick it up.

  [ Stig Sandbeck Mathisen ]
  * Add instructions for "git-buildpackage / gbp"
  * Add new packaging guide
  * Import upstream release 2.0.21
  * Add patch to fix http_loadtime plugin
  * Use 3.0 (quilt) as source format
  * Update DEP-8 tests - use sharness
  * munin-common: handle munin user creation
  * Remove redundant Suggests: libcgi-fast-perl

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 10 May 2014 20:12:44 +0200

munin (2.0.19-3) unstable; urgency=medium

  [ Matthias Schmitz ]
  * Delete all state data from /var/lib/munin-node/plugin-state/ during purge
    of munin-plugins-core. (Closes: #732462)

 -- Holger Levsen <holger@debian.org>  Sat, 25 Jan 2014 23:02:44 +0100

munin (2.0.19-2) unstable; urgency=low

  * Provide upstart file for munin-async. (Closes: #732030)
    Thanks to James Page.

 -- Holger Levsen <holger@debian.org>  Fri, 13 Dec 2013 12:50:22 +0100

munin (2.0.19-1) unstable; urgency=low

  * New upstream bugfix release.
  * Provide upstart files for munin and munin-node. (Closes: #732002)
    Thanks to James Page and Chuck Short for writing these.
  * Bump standards-version to 3.9.5, no changes necessary.

 -- Holger Levsen <holger@debian.org>  Thu, 12 Dec 2013 13:54:59 +0100

munin (2.0.18-1) unstable; urgency=high

  * Imported upstream release 2.0.18 (CVE-2013-6359, CVE-2013-6048)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 19 Nov 2013 13:05:16 +0100

munin (2.0.17-3) unstable; urgency=low

  * munin-common: Call systemd-tmpfiles on install (Closes: #720875)

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 01 Oct 2013 10:56:21 +0200

munin (2.0.17-2) unstable; urgency=low

  [ Matthias Schmitz ]
  * Don't remove munin's apache2.4 configuration on removal. This is the
    behavior as we do with the apache2.2 configuration.
  * As apache2-maintscript-helper doesn't work if called from a function we now
    give $@ of the postinst to our apache_install function. (Closes: #718959)

  [ Holger Levsen ]
  * munin-async.init:
    - provide LSB status command.
    - fix $SCRIPTNAME.
    - rm pid file on stop. 
    Thanks to Daniel Black for the patch. (Closes: #720280)
  * munin-node.cron.d: use munin-run to run plugins. (Closes: #720275)
  * Provide examples how to configure munin for nginx, thanks to Daniel
    Dehennin. (Closes: #684466)

 -- Holger Levsen <holger@debian.org>  Thu, 29 Aug 2013 20:58:58 +0000

munin (2.0.17-1) unstable; urgency=low

  [ Holger Levsen ]
  * New upstream version. (Closes: #712793, #717265)
  * Drop debian/munin-async.logrotate and also add code to
    munin-async.postinst to remove that file (and keep a backup if it was
    modified) on upgrades from older versions. (Closes: #717260)

  [ Matthias Schmitz ]
  * Don't make new touched logs munin-cgi-graph.log and munin-cgi-html.log
    executable in postinst. (Closes: #717847)
  * Don't remove /var/lib/munin-node in munin-node's postrm. The directory
    belongs to munin-plugins-core.
  * Really remove munin config snippet from apache2/conf.d during postrm.
    (Closes: #708864)

 -- Holger Levsen <holger@debian.org>  Tue, 30 Jul 2013 01:03:05 +0200

munin (2.0.16-3) unstable; urgency=low

  * Add systemd units

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 16 Jul 2013 14:15:18 +0200

munin (2.0.16-2) unstable; urgency=low

  * plugins/df: ignore devtmpfs. Cherry picked ab42e8b as efe4526 from 
    upcoming 2.0.17. (Closes: #710899)
  * Add libcgi-fast-perl as alternative suggests. (Closes: #711272)

 -- Holger Levsen <holger@debian.org>  Sun, 09 Jun 2013 16:54:33 +0200

munin (2.0.16-1) unstable; urgency=low

  * New upstream version

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Tue, 04 Jun 2013 09:21:56 +0200

munin (2.0.15-1) unstable; urgency=low

  [ Holger Levsen ]
  * Remove Tom Feiner and Steve Schnepp from debian/control. Thanks for all
    your work, Tom and Steve!

  [ Stig Sandbeck Mathisen ]
  * New upstream version (Closes: #710527, #710529)
  * Add dep8 autopkg tests
  * Remove /var/lib/munin-node/ when purging munin-node

 -- Stig Sandbeck Mathisen <ssm@debian.org>  Sat, 01 Jun 2013 23:20:45 +0200

munin (2.0.14-1) unstable; urgency=low

  * New upstream bugfix release. (Closes: #707811) - See upstream changelog
    for the full list of changes.
  * ntp_ plugin was moved from munin-plugins-extra to munin-plugins-core, add
    appropriate Breaks: and Replaces: relationsships. (Closes: #707611)
  * Make dependencies on librrds-perl and liblog-log4perl-perl unversioned.

 -- Holger Levsen <holger@debian.org>  Sun, 12 May 2013 15:50:01 +0200

munin (2.0.13-1) unstable; urgency=low

  * New upstream release. (Closes: #558800, 702442) - See upstream changelog
    for the full list of changes.
  * Add conntrack to munin-plugins-core suggests. (upstream trac #1267)
    (Closes: #691048)
  * munin-node.init: drop support for sarge, five years after Debian dropped
    it.


=== debian/control ===
Source: munin
Section: net
Priority: optional
Maintainer: Munin Debian Maintainers <packaging@munin-monitoring.org>
Uploaders: Holger Levsen <holger@debian.org>, 
 Stig Sandbeck Mathisen <ssm@debian.org>
Build-Depends-Indep:
 default-jdk,
 html2text,
 htmldoc,
 perl,
Build-Depends:
 debhelper (>=8),
 dh-systemd (>= 1.4),
Standards-Version: 3.9.5
Homepage: http://munin-monitoring.org
Vcs-Git: git://anonscm.debian.org/collab-maint/munin.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=collab-maint/munin.git
Testsuite: autopkgtest

Package: munin-node
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 gawk,
 libnet-server-perl,
 lsb-base (>= 3.2-4),
 munin-common (>= ${binary:Version}),
 munin-plugins-core,
 procps,
Recommends: libnet-snmp-perl, munin-plugins-extra
Suggests:
 acpi | lm-sensors,
 ethtool,
 hdparm,
 libcache-cache-perl,
 libcrypt-ssleay-perl,
 libdbd-mysql-perl,
 libdbd-pg-perl,
 liblwp-useragent-determined-perl,
 libnet-irc-perl,
 libtext-csv-xs-perl,
 libwww-perl,
 libxml-simple-perl,
 logtail,
 munin,
 munin-plugins-java,
 mysql-client,
 net-tools,
 python,
 ruby,
 smartmontools (>= 5.37-6~bpo40+1),
Description: network-wide graphing framework (node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the daemon for the nodes being monitored. You should
 install it on all the nodes in your network. It will know how to extract all
 sorts of data from the node it runs on, and will wait for the gatherer to
 request this data for further processing.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-core
Provides: munin-plugins
Replaces:
 munin-node (<<1.999.4548-3~),
 munin-plugins (<<1.999.4548-3~),
 munin-plugins-extra (<<2.0.21-1),
Breaks:
 munin-node (<<1.999.4548-3~),
 munin-plugins (<<1.999.4548-3~),
 munin-plugins-extra (<<2.0.21-1),
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}, munin-common (>= ${binary:Version})
Recommends: libnet-snmp-perl
Suggests:
 conntrack,
 libnet-netmask-perl,
 libnet-telnet-perl,
 libxml-parser-perl,
 python,
 ruby | ruby-interpreter,
Description: network-wide graphing framework (plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the official plugins for the Munin node, capable of
 extracting common values such as cpu usage, network usage, load average, and
 so on. 
 .
 Creating your own plugins which are capable of extracting other system-specific 
 values is very easy, and is often done in a matter of minutes.
 You can also create plugins which relay information from other devices in your
 network that can't run Munin, such as a switch or a server running another
 operating system, by using SNMP or similar technology.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-extra
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends}, munin-common (>= ${binary:Version})
Suggests: libnet-netmask-perl, python, libnet-telnet-perl
Provides: munin-plugins
Description: network-wide graphing framework (user contributed plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains unsupported plugins for the Munin node, contributed by
 various users of Munin. 
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-plugins-java
Architecture: all
Depends: ${misc:Depends},
 default-jre-headless | java6-runtime-headless | java5-runtime-headless | java2-runtime-headless,
 munin-common (>= ${binary:Version}),
Provides: munin-plugins
Replaces: munin-java-plugins (<<1.999.4548-3~)
Breaks: munin-java-plugins (<<1.999.4548-3~)
Description: network-wide graphing framework (java plugins for node)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the java based plugins that are used by munin-node to 
 monitor Java Management Extensions (JMX). 
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 cron,
 fonts-dejavu,
 libdate-manip-perl,
 libdigest-md5-perl,
 libfile-copy-recursive-perl,
 libhtml-template-perl,
 libio-socket-inet6-perl,
 liblog-log4perl-perl,
 librrds-perl,
 libstorable-perl,
 libtime-hires-perl,
 liburi-perl,
 munin-common (>= ${binary:Version}),
 perl-modules | libparse-recdescent-perl,
 rrdtool,
Recommends: munin-node, munin-doc, libcgi-fast-perl
Suggests: www-browser, httpd, libnet-ssleay-perl, libapache2-mod-fcgid
Description: network-wide graphing framework (grapher/gatherer)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the grapher/gatherer. You will only need one instance of
 it in your network. It will periodically poll all the nodes in your network
 it's aware of for data, which it in turn will use to create graphs and HTML
 pages, suitable for viewing with your graphical web browser of choice.
 .
 It is also able to alert you if any value is outside of a preset boundary,
 useful if you want to be alerted if a filesystem is about to grow full, for
 instance.  You can do this by making Munin run an arbitrary command when you
 need to be alert it, or make use of the intrinsic Nagios support.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-common
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends},
 adduser,
 perl-modules | libparse-recdescent-perl,
 liblist-moreutils-perl,
Description: network-wide graphing framework (common)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains the common perl modules that are used by both munin
 and munin-node.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-async
Architecture: all
Depends: ${misc:Depends}, ${perl:Depends},
 adduser,
 munin-common (>= ${binary:Version}),
 munin-node,
 perl-modules,
Description: network-wide graphing framework (async master/client)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains munin-async and munin-asyncd which can
 be used for (optional) asynchronous operation of munin-update.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.

Package: munin-doc
Section: doc
Architecture: all
Depends: ${perl:Depends}, ${misc:Depends}
Breaks: munin-common (<< 2)
Replaces: munin-common (<< 2)
Description: network-wide graphing framework (documentation)
 Munin is a highly flexible and powerful solution used to create graphs of
 virtually everything imaginable throughout your network, while still
 maintaining a rattling ease of installation and configuration.
 .
 This package contains all the documentation as POD files.
 .
 Munin is written in Perl, and relies heavily on Tobi Oetiker's excellent
 RRDtool. To see a real example of Munin in action, you can follow a link
 from <http://munin-monitoring.org/> to a live installation.
